Subject: bug#52877: [External] : Re: bug#52877: 27.2; Let `use-dialog-box' apply to more than just yes/no questions

From: Eli Zaretskii <[email-masked]>
Date: Mon, 17 Jan 2022 19:34:33 +0200

> From: Drew Adams <[email-masked]>
> CC: "[email-masked]" <[email-masked]>,
>         "[email-masked]"
> 	<[email-masked]>
> Date: Mon, 17 Jan 2022 17:18:31 +0000
> 
> > We already do that.  IMNSHO, it doesn't make sense
> > in this particular case.
> 
> "We already do that."  Really?  Please point to
> examples of commands that use `use-dialog-box'
> and prompt for input other than yes-no.

You can find them yourself by searching the Emacs source tree.

> > It is wrong to use (x-list-fonts "*" ...) to produce the collection
> > of fonts suitable for Emacs.
> 
> "Wrong", meaning what, exactly?  I don't see
> how it's wrong in the sense of not being able
> to produce a collection of fonts suitable for
> Emacs - it can certainly do that.

Try looking at the list it returns some day, but look really close
(it's a large list).

> Perhaps you mean that it won't necessarily
> produce a collection that includes _all_ such
> fonts?

No, I mean many fonts it produces are unusable in Emacs.

> Such qualification doesn't at all make the
> command useless.  I've used this for years,
> to provide a set of font completion candidates:

So you used it.  It only proves that on your systems, with the fonts
you have, and with the way you used the results it somehow worked.  Or
maybe you just happily forgot when it didn't.  It doesn't change the
facts: that list includes many unsuitable fonts.  Please believe me,
and please stop arguing.